# synfig::ParamDesc::EnumData Struct Reference

`#include <paramdesc.h>`

List of all members.

## Public Member Functions

| EnumData (int value, const String &name, const String &local_name)

## Public Attributes

int | value
String | name
String | local_name

## Detailed Description

Todo:
  This needs to be documented further.

## Constructor & Destructor Documentation

synfig::ParamDesc::EnumData::EnumData | ( | int | value,
|  | const String & | name,
|  | const String & | local_name |
| ) |  |  | `[inline]`

## Member Data Documentation

int synfig::ParamDesc::EnumData::value

String synfig::ParamDesc::EnumData::name

String synfig::ParamDesc::EnumData::local_name

The documentation for this struct was generated from the following file:

- paramdesc.h